---
weight: 40
---

# Terminology

Throughout both the codebase and the documentation, I use a couple of terms
that might be confusing at first glance. This page aims to explain this
Vieter-specific jargon.

## Repo & arch-repo

In Pacman jargon, a repository is simply an HTTP(S) web server that provides a
database archive, and optionally a files archive. This database archive
contains information about what packages are contained in the repository,
including the filenames of the actual package tarballs that Pacman then
downloads when installing and updating packages.

In Vieter, this is called an arch-repository. The reason for this change in
naming is because Vieter allows packages of different architectures to reside
under the same repository name. For a Vieter repository named `vieter`, there
can be packages built for the `x86_64` and the `aarch64` architecture. For both
of these architectures, a Pacman repository (or arch-repository) is created,
and it's these architecture-specific repositories that are then accessed by
Pacman. On either architecture, the repository could then be added to
`/etc/pacman.conf` as follows:

```
[vieter]
Server = https://arch.r8r.be/$repo/$arch
SigLevel = Optional
```

## Target

A target describes a build that should be periodically performed. Each target
consists of a URL to a Git repository containing a PKGBUILD (or a direct URL to
said PKGBUILD), among various other configuration options. The list of targets
defines what builds need to be performed at what times, on what architectures.
